const express = require("express");
const app = express();
const handler = require("./src/handler");

app.use(express.json()); // <==== parse request body as JSON


app.get("/getSign", (req, res) => {
  // const req = new CmeModel.DescribeAccountsRequest();
  let response = handler.getSign()
  res.send(response)
});

app.get("/getTemplateList", (req, res) => {
  handler.getTemplateList().then(({list}) => {
    res.send({
      list
    })
  }).catch(e => {
    res.send(e)
  })
});
app.post("/export", (req, res) => {
  let { tracks, title } = req.body;
  handler.exportFromYunjian({tracks, title}).then(data => {
    res.send({
      errCode: 0,
      data
    })
  }).then(e => {
    res.send(e)
  })
});
app.get("/describeTaskDetail", (req, res) => {
  const { taskId } = req.query;
  handler.describeTaskDetail({taskId}).then(data => {
    res.send({
      errCode: 0,
      data
    })
  }).then(e => {
    res.send(e)
  })
});

// Error handler
app.use(function(err, req, res, next) {
  console.error(err);
  res.status(500).send("Internal Serverless Error");
});

app.listen(8080);

module.exports = app;
