const cloud = require("tencentcloud-sdk-nodejs");
const config = require("./config");


const CmeClient = cloud.cme.v20191029.Client;
const CmeModel = cloud.cme.v20191029.Models;
// console.log('process.argv', process.argv.slice(2))
const argv = process.argv.slice(2)
const args = {}
argv.forEach(str => {
  let arr = str.split('=')
  args[arr[0]] = arr[1]
})
// console.log(args)
const clientConfig = {
  // 腾讯云认证信息
  credential: {
    secretId: config.secretId,
    secretKey: config.secretKey
  },
  // 产品地域
  region: config.region,
  profile: {}
};
const client = new CmeClient(clientConfig);
// 获取配置手机号对应的userId
function getUserId() {
  return new Promise((resolve, reject) => {
    const request = {};
    request.Platform = config.platform;

    client.DescribeAccounts(request, (err, response) => {
      if (err) {
        reject(err);
      } else {
        let target = response.AccountInfoSet.find(
          info => info.Phone === args.phone
        );
        // 手机号不正确时兜底
        if (!target) {
          target = response.AccountInfoSet[0];
        }
        resolve(target.UserId);
      }
    });
  });
}
// 获取团队id
function getTeamId() {
  return new Promise((resolve, reject) => {
    getUserId().then((UserId) => {
      const request = {
        Limit: 20,
        Offset: 0
      };
      request.Platform = config.platform;
      request.MemberId = UserId;
      client.DescribeJoinTeams(request, (err, response) => {
        if (err) {
          reject(err);
        } else {
          let target = response.TeamSet.find(
            info => info.Name === args.team
          );
          if (!target) {
            target = response.TeamSet[0];
          }
          resolve(target.TeamId);
        }
      });
    });
  });
}
getTeamId().then(id => {
  console.log('团队id:', id)
})
getUserId().then(id => [
  console.log('用户id:', id)
])